<?php

class ReviewsController extends EvReviewAppController {


/**
 * Set admin form fields.
 * 
 * @return array
 */
	protected function _adminFormFields() {

		$Model = $this->{$this->modelClass};

		$fields = parent::_adminFormFields();

		$newFields["{$Model->alias}.review_for"] = array(
			'displayonly' => 'displayonly',
			'type' => 'string'
		);

		$fields = $newFields + $fields;

		// Hide model association fields.
		unset($fields["{$Model->alias}.model"]);
		unset($fields["{$Model->alias}.model_id"]);

		return $fields;

	}

}